Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001165Core InformModel worldpublic2013-12-26 09:382014-05-07 07:34
ReporterEmacsUser 
Assigned Tograham 
PrioritynormalSeveritymildReproducibilityalways
StatusclosedResolutionfixed 
Platformx86OSLinuxOS VersionAny
Product Version6G60 
Target VersionFixed in Version6L02 
Summary0001165: Typo in switch statement in RunTimeProblem
DescriptionRunTimeProblem contains two cases for RTP_NOTBACKDROP. It looks like the second is supposed to be RTP_NOTTHING, as that has no case:

- - - -
[ RunTimeProblem n par1 par2 par3 ln i c;
! ...
RTP_NOTBACKDROP:
print "Tried to move ", (the) par1, " (not a backdrop) to ", (the) par2,
", which is a region.^";
! ...
RTP_NOTBACKDROP:
print "Tried to move ", (the) par1, " (not a thing) to ", (the) par2,
", but only things can move around.^";
! ...
];
- - - -
Minimal Source Text To Reproduce
There is a room.
Foo is a kind; bar is a foo.
When play begins:
	move bar to the player.
TagsNo tags attached.
Effect(serious/mild) Game compiles but misbehaves
Attached Files

- Relationships

-  Notes
(0002206)
zarf (developer)
2013-12-26 13:05

Confirmed.

(This is of course in RTP.i6t.)

- Issue History
Date Modified Username Field Change
2013-12-26 09:38 EmacsUser New Issue
2013-12-26 13:05 zarf Note Added: 0002206
2013-12-26 13:05 zarf Status new => confirmed
2014-01-19 02:46 graham Status confirmed => resolved
2014-01-19 02:46 graham Resolution open => fixed
2014-01-19 02:46 graham Assigned To => graham
2014-05-07 07:34 jmcgrew Fixed in Version => 6L02
2014-05-07 07:34 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker